ISPConfig 2.2.19 is available for download

Discussion in 'General' started by till, Jan 8, 2008.

  1. till

    till Super Moderator Staff Member ISPConfig Developer

    ISPConfig 2.2.19 is available for download.

    This ISPConfig release adds support for CentOS 4.6 and 5.1
    and updates ClamAV to 0.92 and PHP to 5.2.5. Several minor
    bugs were fixed.


    Detailed Changelog
    ------------------


    - Added support for CentOS 5.1.
    - Added support for CentOS 4.6.
    - Added basic support for webdav.
    - Update: Updated PHP to 5.2.5.
    - Update: Updated ClamAV to 0.92.
    - Changed: Changed VAT setting in isp invoice module from 16% to 19%.
    - Changed: Add a user ispconfigend with uid > 20000 to define the end of the ispconfig user range during setup.
    - Bugfix: Better regex check for co-domains.
    - Bugfix: Add a trailing newline to proftpd_ispconfig.conf file.
    - Bugfix: When you add a "Co-Domain" to a "Site" with a wildcard (*) as Hostname
    and configure a "Forward" rule for it, the Apache config is broken.
    - Bugfix: Add trailing newline to BIND zone files.
    - Bugfix: Several minor bugs in the interface were fixed.
    - Bugfix: Fixed a bug in the email address check of the DNS Manager.


    Download
    --------

    http://www.ispconfig.org/downloads.htm

    Forums
    ------

    http://www.howtoforge.com/forums


    Installation Instructions
    -------------------------

    Download the ISPConfig-2.2.19.tar.gz from sourceforge.net:

    http://prdownloads.sourceforge.net/ispconfig/ISPConfig-2.2.19.tar.gz?download

    Installation on the shell as root user:

    tar xvfz ISPConfig-2.2.19.tar.gz
    cd install_ispconfig
    ./setup

    The installer automatically detects the installed ISPConfig version and
    performs an update.
     
  2. edge

    edge Active Member Moderator

    Thank you.. Will do the update later today.
     
  3. Hans

    Hans Moderator ISPConfig Developer

    2.2.19 installed succesfully

    Thanks for this nice release. Works great!
    A nice beginning of 2008! :)
     
  4. edge

    edge Active Member Moderator

    I got a "small" error/warning (see bold text) when updating one of my Debian servers. (system looks like it's working fine for now)
    It was just before the "the administrator of that system" question.

    I'll update one of the other servers later tonight, and see if I get the same error on that system.
     
  5. dimas

    dimas Member

    Thank you for the new version!

    There is one thing, however, After the upgrade I get this behavior - after clicking on Management - System Config - Settings I get

    The following error occurred:
    The requested document type does not exist.
     
  6. edge

    edge Active Member Moderator

    Yep.. Same problem here :-/
     
  7. Hans

    Hans Moderator ISPConfig Developer

    mmm... In the mean time i updated 2 Debian servers. I did not have the warnings you describe.
     
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    The doctype seems to be corrupted. I will make a patch for this.
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    Here is the patch for the following error:

    Install the following patch with the software update function in the ISPConfig interface:

    Code:
    http://www.ispconfig.org/downloads/patch_doctype_1027.pkg
    The software update function can be found under Management > Update Manager > Update.

    I will make a new ISPConfig installer package and upload it to sourceforge. If you installed the above patch, you dont have to download and install the new ISPConfig installer package.
     
  10. edge

    edge Active Member Moderator

    Yep.. That did the trick for me.. Thank you.

    I still do not what what caused the error I got (see msg4)
    I will update my other servers later today, and see if I get the same error...
     
  11. dimas

    dimas Member

    Thank you very much, it works!
     
  12. Hans

    Hans Moderator ISPConfig Developer

    Thanks Till! The patch works indeed. Sorry i did not see the problem, when i tested the beta 1 version.
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    I did not see the problem too during my tests, so no reason to say sorry :) I'am glad that you are testing the betas. The problem is exactly 1 missing byte in the doctype definition :( I did not expected a problem there as there were no changes in this area of the application. Lets hope that more poeple will test the betas in future.
     
  14. rbartz

    rbartz Member

    Ouch...

    Thanks for all you guys do!

    When I tried to upgrade a few minutes ago on a Fedora Core 4 server, I got the folllowing set of errors:

    ==========================================
    checking for gcc bug PR27603... ok, bug not present
    checking for gcc bug PR28045... configure: error: your compiler has gcc PR28045 bug, use a different compiler, see http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28045
    ERROR: Could not configure ClamAV
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `spamassassin': No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `uudeview': No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `clamav': No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 873: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!
    ==============================================

    ispConfig is no longer useable, of course, and when I tried to reinstall it took me to into full setup where you read the license page by page, which I aborted.

    Please advise me what I need to do to restore things so I do not lose anything here... and what I might to to finish the upgrade.

    Thanks so much.

    Richard
     
  15. daveb

    daveb Member

    I had one debian etch server upgrade was flawless. :) Thanks
    :confused: but on my other etch server ispconfig's apache conf files were all empty.
    installer said ispconfig was started but that wasn't the case. had to replace httpd.conf and mime.types with backups. also didn't create ssl.key folder within the httpd conf dir and I had to also replace my servers ssl crt, key, and Ca key with backups.

    I found this in ispconfig_install.log and wonder if it could have been the issue? if so where can I find more info as to why it couldn't unpack ispconfig?
    Code:
    Tue Jan 8 19:09:24 CST 2008 - [ISPConfig] - created backup of directory /root/ispconfig/
    Tue Jan 8 19:09:56 CST 2008 - [ISPConfig] - created backup of directory /home/admispconfig/
    Tue Jan 8 19:09:57 CST 2008 - [ISPConfig] - deleted directory /root/ispconfig/
    [COLOR="Red"][B]Tue Jan 8 19:51:02 CST 2008 - [ISPConfig] - WARNING: could not unpack ISPConfig system[/B][/COLOR]
    Tue Jan 8 19:51:03 CST 2008 - [ISPConfig] - moved directory ispconfig_tmp to /root/ispconfig
    Tue Jan 8 19:51:08 CST 2008 - [ISPConfig] - /tmp/install_ispconfig/install.php, Line 628: groupadd -g 20000 ispconfigend
    
    Not sure what actually happen yet but I have seemed to have got it up and running after a short panic period.
     
  16. till

    till Super Moderator Staff Member ISPConfig Developer

    There are no additional logfiles beside this log. Please check that your harddisk is not full. Also make sure, that date and time are set correctly on your server.
     
  17. till

    till Super Moderator Staff Member ISPConfig Developer

    If Clamav wont compile anymore on Fedora 4, there is not much we can do to install 2.2.19 on your server except if you update gcc to a newer version or update fedora to a newer version.

    To get your system back online again, run the command:

    mkdir /root/ispconfig

    so ISPConfig will recognize the old installation again and switch to update mode. Then download the same ispconfig version that you had before on your server and run the setup script.
     
  18. daveb

    daveb Member

    Hey Till,
    date and time are correct. I was wondering about space as since I installed from a 500mb /tmp partition that wasn't exactly empty when I started. Wish I thought about it before I cleaned /tmp up after I was done to see how much space was used.
    anyway so far all's good. Many Thanks
     
  19. rbartz

    rbartz Member

    Thanks for your help, Till.

    I reinstalled 2.2.18 without any problems.

    Actually, I had already upgraded clamAV last week using the PHP version of the clamAV updater by DJTremors:

    http://www.howtoforge.com/forums/showthread.php?t=10576&page=2

    I am tempted to try to reinstall 2.2.19 to see if it works over the old install of clamAV 0.91.2...

    I will see what I need to do to upgrade this server to Fedora Core 6, always a hassle :-( because of the old PHP programming on some of the older hosted sites. Broken sites are really a pain...!

    Thanks for your help.

    R
     
  20. Ben

    Ben ISPConfig Developer ISPConfig Developer

    So if I download 2.2.19 it will contain this patch?
     

Share This Page